IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Contact bookings

Link between contacts and bookings

The contact booking object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

Identifier of the related booking

contact_iduuid
contacts.id

Identifier of the related contact

created_attimestamp with time zone

Creation timestamp

The contact booking object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "contact_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z"
}

List contact bookings

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of contact bookings with the selected columns

206

Partial Content

GET /contact_bookings
curl -X GET "https://api.bookingmood.com/v1/contact_bookings?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create contact bookings

Body

Partial<ContactBooking> | Array<Partial<ContactBooking>>

Responses

201

The newly created contact bookings with the selected columns

POST /contact_bookings
curl -X POST "https://api.bookingmood.com/v1/contact_bookings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete contact bookings

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

204

The deleted contact bookings with the selected columns

DELETE /contact_bookings
curl -X DELETE "https://api.bookingmood.com/v1/contact_bookings" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update contact bookings

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<ContactBooking>

Responses

204

The updated contact bookings with the selected columns

PATCH /contact_bookings
curl -X PATCH "https://api.bookingmood.com/v1/contact_bookings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'